@import url('https://fonts.googleapis.com/css2?family=Didact+Gothic&family=Roboto+Condensed:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&family=Source+Sans+3:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --main-bg-color: #fcf7f4;
    --main-text-color: #000000;
    --accent-color: #F9844A;
    --gui-green: #339900;
    --gui-blue: #193f8f;
    --gui-orange: #ee6643;
    /* --passive-blue:#05668d; */
    /* --passive-blue: #3A606E; */
    --passive-blue: #7A8B99;
}

html,
body,
#wholeThing,
.row {
    height: 100%;
 
}

.slogan {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    font-size: 1rem;
    font-style: italic;
    margin-top: 5px;
    color: #fff;
    text-align: center;
}

body {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 1rem;
    padding: 0;
    margin: 0;
    background-color: var(--main-bg-color);
}

footer {
    text-align: center;
    font-size: 0.875rem;
    color: #fff;
    padding: 10px 0;
    background-color: var(--passive-blue);
    padding: 20px;

}

div {
    box-sizing: border-box;
}

h1 {

    font-size: 1.5rem;
    font-style: normal;
}

h2 {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-size: 2.5rem;
    margin: 0;
    font-weight: bold;

}

h3 {

    font-size: 1rem;
    font-style: normal;
}

p {

    font-size: 1rem;
    font-style: normal;
}

blockquote {

    font-size: 1.3125rem;
    font-style: normal;
}

pre {

    font-size: 0.938rem;
    font-style: normal;
}

.w3-button {
    box-sizing: border-box;
    border: none;
    display: inline-block;
    vertical-align: middle;
    overflow: hidden;
    text-decoration: none;
    text-align: center;
    cursor: pointer;
    white-space: nowrap;
    transition: background-color 0.3s;
    width: 30px;
    height: 30px;
    border-left: 1px solid #ccc;
}

.w3-xlarge {
    font-size: 12px !important;
}

.w3-teal {
    color: #fff;
    background-color: #d81159 !important;
    border-color: #d81159;

}

.w3-teal:hover {
    color: #d81159;
    background-color: #FFF !important;
}

.nt-w3-teal {
    color: #fff;
    background-color: #05668d !important;
    border-color: #05668d;
}

.nt-w3-teal:hover {
    color: #05668d;
    background-color: #FFF !important;
}

.el-w3-teal {
    color: #fff;
    background-color: #0c8932 !important;
    border-color: #0c8932;

}

.el-w3-teal:hover {
    color: #0c8932;
    background-color: #FFF !important;
}

#possibleElement {
    display: flex;
    align-items: center;
    gap: 15px;
}

#possText {

    font-size: 0.938rem;

}

.possElemContainer {
    display: flex;
    align-items: flex-start;

}

#pElement {
    font-size: 2.5rem;
}

#pElementCharge {
    font-size: 1rem;

}

#theRandomElement {
    background-color: #F3A712;
    font-family: 'Roboto Condensed', Arial, sans-serif;
    /* font-weight: bold; */
    width: 120px;
    height: 110px;
    border: 4px solid #F3A712;
    border-radius: 10px;
    position: relative;
    box-shadow: 0px 0px 1px rgba(3, 7, 18, 0.05), 0px 1px 5px rgba(3, 7, 18, 0.11), 0px 2px 12px rgba(3, 7, 18, 0.16);
    background: linear-gradient(135deg, #fff9ec 0%, #ffc95f 100%);
}

#name {
    font-size: 1.25rem;
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    /* color: var(--gui-blue); */
    position: absolute;
    bottom: 5px;
    left: 50%;
    transform: translateX(-50%);
}

#rElementMassNo {
    font-size: 1.25rem;
    position: absolute;
    width: 20px;
    text-align: right;
    left: -20px;
    top: 2px;

}

#rElement {
    font-size: 3.5rem;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(calc(-50% + 5px), calc(-50% - 10px));
}

#rElementAtomNo {
    font-size: 1.25rem;
    position: absolute;
    width: 20px;
    text-align: right;
    left: -20px;
    bottom: 2px;
}

#atomData {
    display: none;
    color: #577590;
    width: 84px;
    border: 1px solid #577590;
    margin-left: 10px;
    padding: 4px;
    padding-top: 0px;
    padding-right: 10px;
}

#atomDataΤοο {
    display: none;
    font-size: 1.0rem;
    background-color: #fff;
    /* font-family: 'Roboto Condensed', Arial, sans-serif; */
    border: 2px solid var(--passive-blue);
    border-radius: 5px;
    position: relative;
    padding: 0px 10px 5px 10px;
}

.HFlex {
    display: flex;
    flex-flow: row nowrap;
    gap: 10px;
    justify-content: space-between;
    flex-grow: 2;
}

#prReport,
.prReport {
    color: #d81159;
    font-weight: bold;
}

#prReportClean,
#ntReportClean,
#elReportClean {
    text-align: center;
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    font-size: 1rem;
    padding-top: 10px;
    width: 90px;
}

#prReportClean {
    color: #d81159;

}

#ntReportClean {
    color: #05668d;

}

#elReportClean {
    color: #0c8932;

}

.buttonPanel {
    display: flex;
    background-color: #fff;
    position: absolute;
    left: 0px;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}

#newPrBtn {
    top: 0px;
    border: 1px solid #d81159;
}

#newNtBtn {
    top: 75px;
    border: 1px solid #05668d;
}

#newElBtn {
    top: 150px;
    border: 1px solid #0c8932;
}

#newLitBtn {
    height: 60px;
    width: 30px;

}

#neuReport,
.neuReport {
    color: #05668d;
    font-weight: bold;
}

#elReport,
.elReport {
    color: #0c8932;
    font-weight: bold;
}

#threeButtonsInfo {
    display: none;
}

#giveInfo {
    display: block;
    color: black;
    border: 2px solid var(--passive-blue);
    padding: 0px 10px 5px 10px;
    background: #fff;
    border-radius: 5px;
}

#giveInfo ul {
    margin: 0;
    padding-left: 20px;
}

#giveInfo li {
    font-weight: bold;
    margin-top: 5px;
}

#infoSelectionBox {
    display: flex;
    padding: 20px 0;
    gap: 30px;
    /* justify-content: space-between; */
}

#submitAndFeedbackBox {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    flex-grow: 2;

}

#feedback {
    display: none;
    border: 2px solid var(--passive-blue);
    padding: 0 10px 5px 10px;
    border-radius: 5px;
    background: #fff;
}

#feedback ul {
    margin: 0;
    margin-bottom: 5px;
    padding-left: 20px;
}

#feedback li {
    margin-bottom: 5px;
}

#feedback.correctAnswer {
    border-color: #339900;

}

#feedback.wrongAnswer {
    border-color: #cc0000;

}

.wrongAnswerHead {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    font-size: 1.125rem;
    margin: 0 -10px 0 -10px;
    margin-bottom: 5px;
    background-color: #cc0000;
    color: #fff;

    padding: 5px 10px 5px 10px;
    margin-left: -10px;
}

.infoHead {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    font-size: 1.125rem;
    margin: 0 -10px 0 -10px;
    margin-bottom: 5px;
    background-color: var(--passive-blue);
    color: #fff;
    padding: 5px 10px 5px 10px;
    margin-left: -10px;
}

.resetInline {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    color: var(--gui-orange);

}

.rightAnswerHead {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    font-size: 1.125rem;
    margin: 0 -10px 0 -10px;
    margin-bottom: 5px;
    background-color: #339900;
    color: #fff;
    padding: 5px 10px 5px 10px;
    margin-left: -10px;
}

#submitNextBtn {
    display: none;
    gap: 20px;
    justify-content: center;
}

.button {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;
    background-color: #fff;
    /* width: 133px;
    height: 50px; */
    padding: 10px;
    border: 4px solid #000000;
    font-size: 1.125rem;
    font-style: normal;
    color: #000000;
    border-radius: 5px;
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
}

#checkAnswer.button,
#nextQuestionBtn.button {
    background-color: var(--gui-blue);
    border-color: var(--gui-blue);
    color: #fff;
    padding-right: 50px;
}

#checkAnswer.button:hover,
#nextQuestionBtn.button:hover {
    background-color: #fff;
    color: var(--gui-blue);
}

#resetBtn.button {
    background-color: var(--gui-orange);
    border-color: var(--gui-orange);
    color: #fff;
    padding-right: 50px;
}

#resetBtn.button:hover {
    background-color: #fff;
    color: var(--gui-orange);
}

.button:hover {
    background-color: #e9e9e9;

}

.button2 {
    border-radius: 100%;
    width: 70px;
    height: 70px;
    background-color: white;
    color: black;
    border: 2px solid #05668d;
}

.button2:hover {
    background-color: #05668d;
    color: white;
}

.button5 {
    border-radius: 100%;
    width: 70px;
    height: 70px;
    background-color: white;
    color: black;
    border: 2px solid #d81159;
}

.button5:hover {
    background-color: #d81159;
    color: white;
}

.button3 {
    border-radius: 100%;
    width: 70px;
    height: 70px;
    background-color: white;
    color: black;
    border: 2px solid #0c8932;
}

.button3:hover {
    background-color: #0c8932;
    color: white;
}

.random {
    display: none
}

.nextQuestion {
    display: none
}

#info select {
    font-family: 'Roboto', Arial, sans-serif;
    font-size: 1rem;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #666;
    background-color: #fff;
}

#simple_task {
    font-weight: bold;
}

#wholeThing {
    display: block;
    background-color: #fcf7f4;
    /* height: 710px; */
    width: 940px;
    /* padding: 20px; */
    margin: auto;
    margin-bottom: 200px;

}

header {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    background-color: #3A606E;
    padding: 20px;
    color: #fff;
    border-radius: 0 0 10px 10px;
    box-shadow: 0px 0px 1px rgba(3, 7, 18, 0.05), 0px 1px 5px rgba(3, 7, 18, 0.11), 0px 2px 12px rgba(3, 7, 18, 0.16);
}

#wholeSelect {
    display: flex;
    align-items: baseline;
    align-content: flex-start;
    gap: 10px;
    justify-content: center;
    padding: 10px;

}

.mode {
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-size: 1.25rem;
    font-style: italic;
    font-weight: bold;
    color: #fff;
    padding: 10px;
    border-radius: 5px;
    border: 2px solid #fff;
}

#mainCanvasAndButtons {
    display: flex;
    position: relative;

}

#bothCanvases {
    display: block;
}

#backToStart a {
    display: block;
    box-sizing: border-box;
    padding: 10px;
    text-decoration: none;
    color: #fff;
    font-style: normal;
    transition: all 0.3s ease;
    font-size: 1.25rem;
    font-family: 'Roboto Condensed', Arial, sans-serif;
    font-weight: bold;

}

#backToStart a::after {
    /* content: url(../icons/home_icon.png); */

}

#backToStart a:hover {
    color: #F3A712;
}

#checkAnswer::after {
    content: url(../icons/check-square-svgrepo-32.png);
    position: absolute;
    right: 5px;
    top: 4px;
}

#checkAnswer:hover::after {
    content: url(../icons/check-square-svgrepo-32-blue.png);
}

#resetBtn::after {
    content: url(../icons/reset-svgrepo-32.png);
    position: absolute;
    right: 5px;
    top: 4px;
}

#resetBtn:hover::after {
    content: url(../icons/reset-svgrepo-32-orange.png);
}

#nextQuestionBtn {
    display: none;
}

#nextQuestionBtn::after {
    content: url(../icons/right-arrow-circle-svgrepo-32.png);
    position: absolute;
    right: 5px;
    top: 4px;

}

#nextQuestionBtn:hover::after {
    content: url(../icons/right-arrow-circle-svgrepo-32-blue.png);

}

